import request from '@/utils/request'
import { BASE } from './apiGateway'

var apiList = {
  findSignOrg(params) {
    return request({
      url: `${BASE}/sign/findSignOrg`,
      method: 'GET',
      params
    })
  },
  //未登录老人在线咨询
  findSignOrgNoLogin(params) {
    return request({
      url: `${BASE}/cloudCare/noLogin/patient/findSignOrg`,
      method: 'GET',
      params
    })
  },

  findSignDoctor(params) {
    return request({
      url: `${BASE}/sign/findSignDoctor`,
      method: 'GET',
      params
    })
  },

  assessmentPage(params) {
    return request({
      url: `${BASE}/sign/assessmentPage`,
      method: 'GET',
      params
    })
  },


  






  sysArchive(data) {
    return request({
      url: `${BASE}/sign/sysArchive`,
      method: 'post',
      data
    })
  },

  /**
   * 居民是否存在档案建档
   */
  isExistArchive(data) {
    return request({
      url: `${BASE}/sign/isExistArchive`,
      method: 'post',
      data
    })
  },
  
  /**
   * 建档记录/未签约列表
   */
  archiveList(params) {
    return request({
      url: `${BASE}/sign/archiveList`,
      method: 'GET',
      params
    })
  },
  
  createArchive(data) {
    return request({
      url: `${BASE}/sign/createArchive`,
      method: 'post',
      data
    })
  },

  

  findAssessmentById(params) {
    return request({
      url: `${BASE}/sign/findAssessmentById`,
      method: 'GET',
      params
    })
  },

  isCapacityAssessment(params) {
    return request({
      url: `${BASE}/sign/isCapacityAssessment`,
      method: 'GET',
      params
    })
  },

  confirmAssessment(data) {
    return request({
      url: `${BASE}/sign/confirmAssessment`,
      method: 'post',
      data
    })
  },

  getSignTopNum(params) {
    return request({
      url: `${BASE}/sign/getSignTopNum`,
      method: 'GET',
      params
    })
  },

  getArchiveTopNum(params) {
    return request({
      url: `${BASE}/sign/getArchiveTopNum`,
      method: 'GET',
      params
    })
  },

  servicePackagePage(params) {
    return request({
      url: `${BASE}/sign/servicePackagePage`,
      method: 'GET',
      params
    })
  },

  signRecordPage(params) {
    return request({
      url: `${BASE}/sign/signRecordPage`,
      method: 'GET',
      params
    })
  },

  servicePackageSign(data) {
    return request({
      url: `${BASE}/sign/servicePackageSign`,
      method: 'post',
      data
    })
  },

  findSignById(params) {
    return request({
      url: `${BASE}/sign/findSignById`,
      method: 'GET',
      params
    })
  },

  getAssessmentItemDetail(params) {
    return request({
      url: `${BASE}/sign/getAssessmentItemDetail`,
      method: 'GET',
      params
    })
  },

  getSignNum(params) {
    return request({
      url: `${BASE}/sign/getSignNum`,
      method: 'GET',
      params
    })
  },

  capacityAssessment(data) {
    return request({
      url: `${BASE}/sign/capacityAssessment`,
      method: 'post',
      data
    })
  },

  serviceItemByPackageId(params) {
    return request({
      url: `${BASE}/sign/serviceItemByPackageId`,
      method: 'get',
      params
    })
  },
  //获取专题列表
  servicePackageByTopicType(params) {
    return request({
      url: `${BASE}/sign/servicePackageByTopicType`,
      method: 'get',
      params
    })
  },

  servicePackageByServerItem(params) {
    return request({
      url: `${BASE}/sign/servicePackageByServerItem`,
      method: 'get',
      params
    })
  },
  
  getServerDoctorByPackage(params) {
		return request({
			url: `${BASE}/sign/getServerDoctorByPackage`,
			method: 'get',
            params
		});
	},
  //签约的助老员
  getServerDoctorAll(params) {
    return request({
      url: `${BASE}/sign/getServerDoctorAll`,
      method: 'GET',
      params
    })
  },
  //签约服务包
  findPatientSignList(params) {
    return request({
      url: `${BASE}/sign/findPatientSignList`,
      method: 'GET',
      params
    })
  },
  //签约服务包详情
  signPackageDetail(params) {
    return request({
      url: `${BASE}/sign/signPackageDetail`,
      method: 'GET',
      params
    })
  },
  //签约服务包医生
  signPackageDoctorList(params) {
    return request({
      url: `${BASE}/sign/signPackageDoctorList`,
      method: 'GET',
      params
    })
  },
}

export default apiList
